summaryrefslogtreecommitdiffstats
path: root/test/docker/alpine
diff options
context:
space:
mode:
Diffstat (limited to 'test/docker/alpine')
-rw-r--r--test/docker/alpine/Dockerfile23
-rwxr-xr-xtest/docker/alpine/install-packages.sh14
2 files changed, 37 insertions, 0 deletions
diff --git a/test/docker/alpine/Dockerfile b/test/docker/alpine/Dockerfile
new file mode 100644
index 0000000..e4d9f3b
--- /dev/null
+++ b/test/docker/alpine/Dockerfile
@@ -0,0 +1,23 @@
+FROM alpine
+
+RUN apk add --no-cache \
+ autoconf \
+ automake \
+ bash \
+ gcc \
+ make \
+ musl-dev \
+ py3-pexpect \
+ py3-pytest-xdist \
+ tar \
+ xvfb \
+ xvfb-run \
+ xz
+
+# test-cmd-list.txt is just a cache buster here
+ADD test-cmd-list.txt \
+ docker/alpine/install-packages.sh \
+ /tmp/
+
+RUN /tmp/install-packages.sh \
+ && rm -r /tmp/*
diff --git a/test/docker/alpine/install-packages.sh b/test/docker/alpine/install-packages.sh
new file mode 100755
index 0000000..7865703
--- /dev/null
+++ b/test/docker/alpine/install-packages.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+set -xeuo pipefail
+
+cd "${TMPDIR:-/tmp}"
+
+apk upgrade
+
+# Nothing much here, at least yet. Useful this way already in order to
+# test some very base executables, as well as ones that come from
+# busybox. Don't lose that if adding stuff here!
+
+# An arbitrary package containing an init script or the like for
+# testing service completion.
+apk add nginx-openrc